/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:util.h 12.0$ */
/* $ACIS:util.h 12.0$ */
/* $Source: /ibm/acis/usr/src/ibm/rvd/client/RCS/util.h,v $ */

#if !defined(lint) && !defined(LOCORE) && defined(RCS_HDRS)
static char *rcsidutil = "$Header:util.h 12.0$";
#endif

/*
 * $Header:util.h 12.0$
 * $ACIS:util.h 12.0$
 * $Author: root $
 * $Source: /ibm/acis/usr/src/ibm/rvd/client/RCS/util.h,v $
 */
#ifndef _UTIL_H_
#define _UTIL_H_

#include "common.h"

int util_yankFile(/*path,buf,buflen,fdesc*/);
/* enotdir - non-dir along path
 * enoent - non-exist component of path
 * eacces - non-access to component of path
 */
int util_countLines(/*buf,buflen*/);
int util_runFile(/*sync,path,args*/);

caddr_t util_skipNum(/*buf*/);
caddr_t util_skipLine(/*buf,bofp*/);
caddr_t util_skipSpace(/*buf*/);
caddr_t util_skipField(/*buf,delim*/);

#define notNL(c)	((c) && ((c) != NL))
#define isData(c)	((c) && ((c) != NL) && ((c) != CC))
#define isEOL(c)	((c) && ((c) == NL || (c) == CC))

#endif
